# -*- coding: utf-8 -*-
#pylint: disable=W0611, F0401, C0103, W0107
'''
 Plugin to heal subscriptions — that is trying to discover
 and attach new subscription pools.
 
 Need by asynchronical for get rid of latency for
 communicate with subscription service.
'''
from yum.plugins import PluginYumExit, TYPE_CORE, TYPE_INTERACTIVE
import os

requires_api_version = '2.3'
plugin_type = (TYPE_CORE, TYPE_INTERACTIVE)

def prereposetup_hook(conduit):
    '''
    Yum hook
    '''
    import subprocess
    try:
        from subprocess import DEVNULL # py3k
    except ImportError:
        import os
        DEVNULL = open(os.devnull, 'wb')    
    conduit.info(2, 'Trying to discover and attach new pools')
    subprocess.Popen(['vzsubscribe h'], shell=True, stdout=DEVNULL, stderr=subprocess.STDOUT)
    pass
